/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core;

import java.awt.Image;

import javax.swing.ImageIcon;

/**
 * Placeholder for oftenly used Icons and Images
 *  
 * @author Robert-Jan van der Waals
 * @since 1.3
 * @version 1.00
 */
public class IconLibrary {

    private final static String picPath = "./icons_system/";

    public final static Image _logo = new ImageIcon(picPath + "logo.jpg").getImage();
    
    public final static Image _icoNoPic = new ImageIcon(picPath + "noPicture.gif").getImage();
    
    public final static ImageIcon _icoMain = new ImageIcon(picPath + "main.jpg");

    public final static ImageIcon _icoRating0 = new ImageIcon(picPath + "rating0.gif");
    public final static ImageIcon _icoRating1 = new ImageIcon(picPath + "rating1.gif");
    public final static ImageIcon _icoRating2 = new ImageIcon(picPath + "rating2.gif");
    public final static ImageIcon _icoRating3 = new ImageIcon(picPath + "rating3.gif");
    public final static ImageIcon _icoRating4 = new ImageIcon(picPath + "rating4.gif");
    public final static ImageIcon _icoRating5 = new ImageIcon(picPath + "rating5.gif");
    
    public final static ImageIcon _icoError = new ImageIcon(picPath + "error.gif");
    public final static ImageIcon _icoCategory = new ImageIcon(picPath + "category.gif");
    public final static ImageIcon _icoSettings = new ImageIcon(picPath + "settings.gif");
    public final static ImageIcon _icoLog = new ImageIcon(picPath + "log.gif");
    public final static ImageIcon _icoQuestion = new ImageIcon(picPath + "question.gif");
    public final static ImageIcon _icoWarning = new ImageIcon(picPath + "message.gif");
    public final static ImageIcon _icoInformation = new ImageIcon(picPath + "information.gif");
    
    public final static ImageIcon _icoNew = new ImageIcon(picPath + "new.gif");
    public final static ImageIcon _icoInternet = new ImageIcon(picPath + "internet.gif");
    public final static ImageIcon _icoImport = new ImageIcon(picPath + "import.gif");
    public final static ImageIcon _icoMp3Organizer = new ImageIcon(picPath + "mp3Organizer.gif");
    
    public final static ImageIcon _icoTechInfo = new ImageIcon(picPath + "techinfo.gif");
    public final static ImageIcon _icoDescription = new ImageIcon(picPath + "description.gif");
    
    public final static ImageIcon _icoPicture = new ImageIcon(picPath + "picture.gif");
    
    public final static ImageIcon _icoFetch = new ImageIcon(picPath + "fetch.gif");
    
    public final static ImageIcon _icoSoftwareModule = new ImageIcon(picPath + "softwareModule.gif");
    public final static ImageIcon _icoMovieModule = new ImageIcon(picPath + "movieModule.gif");
    public final static ImageIcon _icoMusicModule = new ImageIcon(picPath + "musicModule.gif");
    public final static ImageIcon _icoAudioCDModule = new ImageIcon(picPath + "audiocdModule.gif");
    
    public final static ImageIcon _icoExisting = new ImageIcon(picPath + "existing.gif");
    public final static ImageIcon _icoNote = new ImageIcon(picPath + "annotation.gif");
    public final static ImageIcon _icoSqlManager = new ImageIcon(picPath + "sqlManager.gif");
    public final static ImageIcon _icoFileBrowser = new ImageIcon(picPath + "fileBrowser.gif");

    public final static ImageIcon _icoMenuImport = new ImageIcon(picPath + "Import24.gif");
    public final static ImageIcon _icoMenuImport16 = new ImageIcon(picPath + "Import16.gif");
    public final static ImageIcon _icoMenuHelp = new ImageIcon(picPath + "Help24.gif");
    public final static ImageIcon _icoMenuHelp16 = new ImageIcon(picPath + "Help16.gif");
    public final static ImageIcon _icoMenuOpen = new ImageIcon(picPath + "Open24.gif");
    public final static ImageIcon _icoMenuOpen16 = new ImageIcon(picPath + "Open16.gif");
    public final static ImageIcon _icoMenuNew = new ImageIcon(picPath + "New24.gif");
    public final static ImageIcon _icoMenuNew16 = new ImageIcon(picPath + "New16.gif");
    public final static ImageIcon _icoMenuRemove = new ImageIcon(picPath + "Remove24.gif");
    public final static ImageIcon _icoMenuRemove16 = new ImageIcon(picPath + "Remove16.gif");
    public final static ImageIcon _icoMenuSave = new ImageIcon(picPath + "Save24.gif");
    public final static ImageIcon _icoMenuSave16 = new ImageIcon(picPath + "Save16.gif");
    public final static ImageIcon _icoMenuSaveAll = new ImageIcon(picPath + "SaveAll24.gif");
    public final static ImageIcon _icoMenuSaveAll16 = new ImageIcon(picPath + "SaveAll16.gif");
    public final static ImageIcon _icoMenuFind = new ImageIcon(picPath + "Find24.gif");
    public final static ImageIcon _icoMenuFind16 = new ImageIcon(picPath + "Find16.gif");
    public final static ImageIcon _icoMenuFindAgain = new ImageIcon(picPath + "FindAgain24.gif");
    public final static ImageIcon _icoMenuFindAgain16 = new ImageIcon(picPath + "FindAgain16.gif");
    public final static ImageIcon _icoMenuInternetSearch = new ImageIcon(picPath + "Search24.gif");
    public final static ImageIcon _icoMenuInternetSearch16 = new ImageIcon(picPath + "Search16.gif");
    public final static ImageIcon _icoMenuAbout = new ImageIcon(picPath + "About24.gif");
    public final static ImageIcon _icoMenuAbout16 = new ImageIcon(picPath + "About16.gif");    
    public final static ImageIcon _icoMenuOption = new ImageIcon(picPath + "Preferences24.gif");
    public final static ImageIcon _icoMenuOption16 = new ImageIcon(picPath + "Preferences16.gif");
    public final static ImageIcon _icoMenuCategory = new ImageIcon(picPath + "History24.gif");
    public final static ImageIcon _icoMenuCategory16 = new ImageIcon(picPath + "History16.gif");
    public final static ImageIcon _icoMenuSystemInfo = new ImageIcon(picPath + "Information24.gif");
    public final static ImageIcon _icoMenuSystemInfo16 = new ImageIcon(picPath + "Information16.gif");
    public final static ImageIcon _icoMenuExit = new ImageIcon(picPath + "Stop24.gif");
    public final static ImageIcon _icoMenuExit16 = new ImageIcon(picPath + "Stop16.gif"); 
    public final static ImageIcon _icoMenuLog = new ImageIcon(picPath + "Information24.gif");
    public final static ImageIcon _icoMenuLog16 = new ImageIcon(picPath + "Information16.gif");
    public final static ImageIcon _icoMenuAdd = new ImageIcon(picPath + "Add24.gif");
    public final static ImageIcon _icoMenuAdd16 = new ImageIcon(picPath + "Add16.gif"); 
    
}
